/* about.c - open the about-window
 *
 * Copyright (C) 2001  Jochen Voss.  */

static const  char  rcsid[] = "$Id: about.c,v 1.1.1.1 2001/08/24 20:40:58 voss Exp $";

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "golist.h"


const gchar *authors[] = {
  "Jochen Voss <voss@mathematik.uni-kl.de>",
  NULL
};


void
about_window_open (void)
{
  GtkWidget *aboutwindow;

  aboutwindow = gnome_about_new
    ("GoList", VERSION,
     _("Copyright 2001 Jochen Voss"),
     authors,
     _("A program to keep track of games results for the asian game of Go.  "
       "It contains some logic to estimate the players' strenghts."),
     NULL);
  gtk_widget_show (aboutwindow);
}
