/* golist.h -
 *
 * Copyright (C) 2001  Jochen Voss.
 *
 * $Id: golist.h,v 1.3 2001/09/01 16:39:26 voss Exp $ */

#ifndef FILE_GOLIST_H_SEEN
#define FILE_GOLIST_H_SEEN

#include <gtk/gtk.h>
#include <go-player.h>

/* from "main.c" */
extern  int  main_loop_count, optimize_contants;
extern  GtkObject *data;

/* from "control.c" */
extern  GtkObject *strengths;
extern  void  quit_cb (GtkMenuItem *menuitem, gpointer user_data);
extern  void  control_manager_open (const char *filename);

/* from "players.c" */
extern  GtkWidget *player_manager_open (GtkObject *data);

/* from "games.c" */
extern  GtkWidget *game_manager_open (GtkObject *data);

/* from "about.c" */
extern  void  about_window_open (void);

/* from "print.c" */
extern  void  print_recent_games (GtkObject *view);
extern  void  print_games (GtkObject *view);
extern  void  print_players (GtkObject *view);
extern  void  print_sheet (GtkObject *view, GoPlayer *player);

#endif /* FILE_GOLIST_H_SEEN */
